# nbimgextract

[![License:MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![PyPI - Version](https://img.shields.io/pypi/v/nbimgextract)](https://pypi.org/project/nbimgextract/)

nbimgextract is a command-line tool for extracting images from Jupyter Notebooks.

## Usage

```text
Usage: nbimgextract [OPTIONS] <FILE>

Arguments:
  <FILE>  path to ipynb file from which to extract files

Options:
  -o, --output-path <OUTPUT_PATH>  output directory for images
  -t, --tag-prefix <TAG_PREFIX>    Prefix for cell tags to create the file name
  -h, --help                       Print help
  -V, --version                    Print version
```

You can use cell tags to specify the file name for the image generated by that cell.
The tag should start with `img` and anything after that prefix will be used in the file name.
You can override this prefix with the `--tag-prefix` option.
Any spaces, hyphens or underscores immediately following the prefix will be ignored.
That is to say, if the tag is `img-my-chart`, the resulting file names will be called `my-chart`.

If an image appears without a tag in the cell that generated it, the name will be based on the cell number.
